imagepsextendfont
imagepsloadfont
GD and Image Functions
PHP Manual

# imagepsfreefont

Free memory used by a PostScript Type 1 font

### Description

bool imagepsfreefont ( resource `$font_index` )

imagepsfreefont frees memory used by a PostScript Type 1 font.

### Parameters

`font_index`

  A font resource, returned by imagepsloadfont.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagepsfreefont example

`<?php
// Load a .pfb font file
$font = imagepsloadfont('./bchbi.pfb');
// Do any operations with the font here
// Free the font from memory
imagepsfreefont($font);
?>`

### Notes

> Note: This function is only available if PHP is compiled using --with-t1lib[=DIR] .

### See Also

- imagepsloadfont